Package dev.plex.world

# Class CustomChunkGenerator

java.lang.Object
org.bukkit.generator.ChunkGenerator
dev.plex.world.CustomChunkGenerator

Direct Known Subclasses:
  `FlatChunkGenerator`, `NoiseChunkGenerator`, `OctaveChunkGenerator`

public abstract class CustomChunkGenerator extends org.bukkit.generator.ChunkGenerator

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.generator.ChunkGenerator

`org.bukkit.generator.ChunkGenerator.BiomeGrid, org.bukkit.generator.ChunkGenerator.ChunkData`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`height`
`private final List<org.bukkit.generator.BlockPopulator>`
`populators`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CustomChunkGenerator(int height, org.bukkit.generator.BlockPopulator... populators)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`createLoopChunkData(int x, int y, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)`
`List<org.bukkit.generator.BlockPopulator>`
`getDefaultPopulators(org.bukkit.World world)`

### Methods inherited from class org.bukkit.generator.ChunkGenerator

`canSpawn, createChunkData, createVanillaChunkData, generateBedrock, generateCaves, generateChunkData, generateNoise, generateSurface, getBaseHeight, getDefaultBiomeProvider, getFixedSpawnLocation, isParallelCapable, shouldGenerateBedrock, shouldGenerateCaves, shouldGenerateCaves, shouldGenerateDecorations, shouldGenerateDecorations, shouldGenerateMobs, shouldGenerateMobs, shouldGenerateNoise, shouldGenerateNoise, shouldGenerateStructures, shouldGenerateStructures, shouldGenerateSurface, shouldGenerateSurface`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### populators

private final List<org.bukkit.generator.BlockPopulator> populators

### height

protected int height

## Constructor Details

### CustomChunkGenerator

protected CustomChunkGenerator(int height, org.bukkit.generator.BlockPopulator... populators)

## Method Details

### getDefaultPopulators

public List<org.bukkit.generator.BlockPopulator> getDefaultPopulators(org.bukkit.World world)

Overrides:
  `getDefaultPopulators` in class `org.bukkit.generator.ChunkGenerator`

### createLoopChunkData

public abstract void createLoopChunkData(int x, int y, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)